curl "https://inkypump.com/api/leaderboard?chainId=57073"
{
"chainId": 57073,
"leaderboard": [
{
"address": "0x1234567890abcdef1234567890abcdef12345678",
"points": 15420,
"inkyswap_points": 800,
"lp_points": 250,
"rank": 1,
"projection_status": "SAFE"
}
],
"totalCount": 1
}
InkyPump API
Leaderboard
Read the top canonical or legacy-compatible points projection for one chain.
GET
/
api
/
leaderboard
curl "https://inkypump.com/api/leaderboard?chainId=57073"
{
"chainId": 57073,
"leaderboard": [
{
"address": "0x1234567890abcdef1234567890abcdef12345678",
"points": 15420,
"inkyswap_points": 800,
"lp_points": 250,
"rank": 1,
"projection_status": "SAFE"
}
],
"totalCount": 1
}
Query parameters
number
default:"57073"
57073 for Ink or 4663 for Robinhood.Response
number
Chain used for the projection.
array
number
Number of returned entries, at most 100.
Rate limit
The computational limit is 10 requests per minute per rate-limit key.{
"chainId": 57073,
"leaderboard": [
{
"address": "0x1234567890abcdef1234567890abcdef12345678",
"points": 15420,
"inkyswap_points": 800,
"lp_points": 250,
"rank": 1,
"projection_status": "SAFE"
}
],
"totalCount": 1
}
curl "https://inkypump.com/api/leaderboard?chainId=57073"